petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMMoabCreateVector

Create a Vec from either an existing tag, or a specified tag size, and a range of entities

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabCreateVector(DM dm,moab::Tag tag,const moab::Range* range,PetscBool is_global_vec,PetscBool destroy_tag,Vec *vec)

Collective on MPI_Comm

### Input Parameter

| dm | - The DMMoab object being set
| tag | - If non-zero, block size will be taken from the tag size
| range | - If non-empty, Vec corresponds to these entities, otherwise to the entities set on the DMMoab
| is_global_vec | - If true, this is a local representation of the Vec (including ghosts in parallel), otherwise a truly parallel one
| destroy_tag | - If true, MOAB tag is destroyed with Vec, otherwise it is left on MOAB

### Output Parameter

| vec | - The created vector

### Keywords

Vec, create

### See Also

VecCreate()

Level:beginner
Location:src/dm/impls/moab/dmmbvec.cxx
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex35.cxx.html